<table *ngIf="!showForm" class="table">
    <thead>
        <tr>
            <th colspan="3"><button (click)="onClickShowAddForm()" class="btn btn-primary">Add New</button></th>
        </tr>
        <tr>
            <th>Id</th>
            <th>Name</th>
            <th>Credit Hours</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let course of courses">
            <td>{{course.id}}</td>
            <td>{{course.name}}</td>
            <td>{{course.creditHours}}</td>
        </tr>
    </tbody>
</table>

<div *ngIf="showForm" class="container">
    <h1>Add New Course</h1>
    <form
            #courseForm="ngForm"
            (ngSubmit)="onSubmit(courseForm.value)"
    >
        <div class="form-group">
            <label for="name">Name: </label>
            <input type="text" id="name" name="name" class="form-control" placeholder="Course Name" ngModel>
        </div>
        <div class="form-group">
            <label for="creditHours">Credit Hours: </label>
            <input type="text" id="creditHours" name="creditHours" class="form-control" placeholder="Credit Hours" ngModel>
        </div>

        <div class="form-group">
            <label for="description">Description</label>
            <textarea type="text" id="description" name="descriptions" class="form-control" placeholder="Description" ngModel></textarea>
        </div>

        <div class="form-group">
            <input type="submit" name="submit" class="btn btn-primary" value="Submit">

            <input type="button" name="cancel" class="btn btn-primary" value="Cancel" (click)="onClickShowList()" >
        </div>
    </form>
</div>